Create customer organization
POST
/customer-organizations
const url = 'https://api.muninx.com/customer-organizations';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"created-at":"example","display-name":"example","domains":["example"],"external-ref":"example","id":"example","notes":"example","status":"example","tenant-id":"example","updated-at":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/customer-organizations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "created-at": "example", "display-name": "example", "domains": [ "example" ], "external-ref": "example", "id": "example", "notes": "example", "status": "example", "tenant-id": "example", "updated-at": "example" }'Creates an optional grouping record for a supported company, account, client, or group inside the authenticated tenant organization. Only tenant admins can perform this operation. Domains must be unique across customer organizations in the tenant, with at most 5 domains per organization. New customer organizations have active status.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Customer Organization
Media type application/json
object
created-at
string
display-name
string
domains
Array<string>
external-ref
string
id
string
notes
string
status
Active, suspended
string
tenant-id
string
updated-at
string
Example generated
{ "created-at": "example", "display-name": "example", "domains": [ "example" ], "external-ref": "example", "id": "example", "notes": "example", "status": "example", "tenant-id": "example", "updated-at": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
created-at
string
display-name
string
domains
Array<string>
external-ref
string
id
string
notes
string
status
Active, suspended
string
tenant-id
string
updated-at
string
Example generated
{ "created-at": "example", "display-name": "example", "domains": [ "example" ], "external-ref": "example", "id": "example", "notes": "example", "status": "example", "tenant-id": "example", "updated-at": "example"}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}